API referenceTransactions
Get Transactions
GET /company/{id}/transactions
GET
/company/{id}/transactionsPath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
includeCategorization?string
Include categorization attribution and history only when "true"; omitted by default
startDate*string
Calendar date, YYYY-MM-DD
Length
1 <= lengthendDate*string
Calendar date, YYYY-MM-DD
Length
1 <= lengthaccountIds?|array<>
vendorIds?|array<>
coaKeys?string|array<string>
status?string
Value in
- "Finalized"
- "NotFinalized"
- "NotCategorized"
sortBy?string
Value in
- "ABS_AMOUNT_ASC"
- "ABS_AMOUNT_DESC"
- "AMOUNT_ASC"
- "AMOUNT_DESC"
- "DATE_ASC"
- "DATE_DESC"
- "DESCRIPTION_ASC"
- "DESCRIPTION_DESC"
- "NAME_ASC"
- "UNCATEGORIZED_AMOUNT_DESC"
- "VENDOR_ASC"
- "VENDOR_DESC"
after?string
count?integer
Response Body
application/json
curl -X GET "https://example.com/company/string/transactions?startDate=string&endDate=string"{ "items": [ { "id": "string", "amount": { "amount": "string", "currency": "str" }, "descriptor": "string", "timestamp": "string", "memo": "string", "nativeId": "string", "category": "string", "coaKey": "string", "accountId": "string", "status": "Finalized", "actorType": "SYSTEM_ACTOR", "categorization": { "status": "CATEGORIZED", "confirmationStatus": "CONFIRMED", "confirmedAt": "string", "lastHumanConfirmation": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string" }, "detailsConfirmationStatus": "CONFIRMED", "details": [ { "detailId": "string", "coaKey": "string", "status": "CATEGORIZED", "confirmationStatus": "CONFIRMED", "confirmedAt": "string", "attributionStatus": "COMPLETE", "current": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string", "coaKey": "string" }, "original": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string", "coaKey": "string" }, "lastHumanConfirmation": { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string" }, "categoryChanges": [ { "source": "AI", "actorType": "SYSTEM_ACTOR", "userId": "string", "at": "string", "coaKey": "string", "previousCoaKey": "string" } ] } ] }, "vendorId": "string", "customerId": "string", "documents": [ { "id": "string", "documentType": "Receipt", "contentType": "string", "downloadInfo": { "signedUrl": "string", "urlExpiresAt": "string" } } ], "classifications": [ { "class": "string", "description": "string", "segments": [ { "id": "string", "segment": "string", "description": "string" } ] } ] } ], "pageInfo": { "endCursor": "string", "hasNextPage": true, "total": 0 }}Schema refreshed 2026-11-11T18:57:48.657Z